Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.temporal
Interface OrdinalEra

    @UML(identifier="TM_OrdinalEra",
         specification=ISO_19108)
    public interface OrdinalEra

Provides a reference to the ordinal era in which the instant occurs.

Method Summary
`Date` | `getBeginning()` The beginning at which the ordinal era began if it's known.
`Collection<OrdinalEra>` | `getComposition()` Ordinal eras that subdivide this ordinal era.
`Date` | `getEnd()` The end at which the ordinal era began if it's known.
`InternationalString` | `getName()` The unique name of the ordinal era within the ordinal reference system.

Method Detail

### getName

    @UML(identifier="name",
         obligation=MANDATORY,
         specification=ISO_19108)
    InternationalString getName()

  The unique name of the ordinal era within the ordinal reference system.

### getBeginning

    @UML(identifier="begin",
         obligation=OPTIONAL,
         specification=ISO_19108)
    Date getBeginning()

  The beginning at which the ordinal era began if it's known.

### getEnd

    @UML(identifier="end",
         obligation=OPTIONAL,
         specification=ISO_19108)
    Date getEnd()

  The end at which the ordinal era began if it's known.

### getComposition

    @UML(identifier="Composition",
         obligation=MANDATORY,
         specification=ISO_19108)
    Collection<OrdinalEra> getComposition()

  Ordinal eras that subdivide this ordinal era.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.